Subject: [sipcore] Fwd: [art] RFC2817, IPP, and XCAP

From: "Olle E. Johansson" <[email-masked]>
Date: Mon, 3 Jan 2022 09:38:36 +0100

Mark asked a question that relates to XCAP in the ART mailing list. Forwarding to SIPcore as I suspect there are many more people interested in XCAP on this mailing list.

Happy new SIP year everyone!

/O

> Begin forwarded message:
> 
> From: Mark Nottingham <[email-masked]>
> Subject: [art] RFC2817, IPP, and XCAP
> Date: 3 January 2022 at 07:24:42 CET
> To: [email-masked]
> 
> Happy New Year, ART folks.
> 
> I'm looking into whether we can move RFC2817 to Historic, because for HTTP's purposes, the bits we actually use have moved into the Semantics document.
> 
> However, I notice that RFC8010 still specifies the Upgrade mechanism for 'ipp' URLs. Can anyone from the IPP community speak as to whether that's actually in use?
> 
> There's a similar question regarding RFC4825 and XCAP.
> 
> If the damage caused by moving it to Historic would be too great, I might try to spin up a short applicability note that explained which bits moved into semantics, and that what's left is only usable if a protocol using HTTP explicitly opts into it (like IPP).
> 
> Cheers,
> 
> 
> --
> Mark Nottingham   https://www.mnot.net/
> 
> _______________________________________________
> art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/art

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 4 Jan 2022 09:50:45 +0000

Hi,

Happy New Year!

I sent a reply on the ART list, informing that 3GPP references 2817, and asking whether the upgrade mechanism in 7230 is backward compatible with the one in 2817, and asking what/if will happen with the IANA registry upgrade value that 2817 defines.

Regards,

Christer

________________________________
From: sipcore <[email-masked]> on behalf of Olle E. Johansson <[email-masked]>
Sent: Monday, January 3, 2022 10:39 AM
To: [email-masked]
Cc: Mark Nottingham
Subject: [sipcore] Fwd: [art] RFC2817, IPP, and XCAP

/O

Begin forwarded message:

From: Mark Nottingham <[email-masked]<mailto:[email-masked]>>
Subject: [art] RFC2817, IPP, and XCAP
Date: 3 January 2022 at 07:24:42 CET
To: [email-masked]<mailto:[email-masked]>

Cheers,

--
Mark Nottingham   https://www.mnot.net/<https://protect2.fireeye.com/v1/url?k=31323334-501d5122-313273af-454445555731-2328097a3e27f5ac&q=1&e=23499f48-e28c-427d-a8a2-23beed6af6ca&u=https%3A%2F%2Fwww.mnot.net%2F>

_______________________________________________
art mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/art<https://protect2.fireeye.com/v1/url?k=31323334-501d5122-313273af-454445555731-6d2584570e589803&q=1&e=23499f48-e28c-427d-a8a2-23beed6af6ca&u=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fart>